/* $Id$ */
/*============================================================================*
 |                 Copyright (c) 2011 Applaud Solutions UK Ltd                |
 |                             All rights reserved                            |
 *===========================================================================*/

SET VERIFY OFF
SET FEEDBACK OFF
WHENEVER OSERROR  EXIT FAILURE ROLLBACK
WHENEVER SQLERROR EXIT FAILURE ROLLBACK

DECLARE
  e_obj_not_exists EXCEPTION;
  PRAGMA EXCEPTION_INIT(e_obj_not_exists, -04043);
BEGIN
  EXECUTE IMMEDIATE 'DROP TYPE xxas_org_view_faces_varray';
  EXECUTE IMMEDIATE 'DROP TYPE xxas_org_view_faces_type';
EXCEPTION
  WHEN e_obj_not_exists THEN
    NULL;
END;
/

CREATE OR REPLACE TYPE XXAS_ORG_VIEW_FACES_TYPE AS OBJECT
  (person_id          number
  ,assignment_id      number
  ,label              varchar2(400)
  ,additional_info    varchar2(4000)
  ,url                varchar2(4000)
  ,new_tab_or_window  varchar2(30))
/

CREATE OR REPLACE TYPE XXAS_ORG_VIEW_FACES_VARRAY AS
VARRAY(100000) OF xxas_org_view_faces_type
/

COMMIT;
EXIT;
